Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.runtime
Class Select

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.runtime.Select

public class Select
extends java.lang.Object

Abstraction of a SQL SELECT statement.

Method Summary
`void` | `addJoins(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer buf, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add SQL for the given joins to the given buffer.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins` | `and(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins1, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins2)` AND the given joins together.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Select` | `batchSelect()` Return a SELECT that will be batched with this one.
`java.util.Map` | `getImplData(boolean create)` Return a mutable view of arbitrary implementation data associated with this select, optionally creating a new map if none exists.
`boolean` | `getUseSQL92Joins()` Whether this SELECT is using SQL 92 joins.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Select` | `joinsSelect()` Return a SELECT with the same aliases as this one.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins` | `newJoins()` Return a new instance to use for joining.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins` | `or(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins1, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins2)` OR the given joins together.
`void` | `orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols, boolean ascending)` Add an ORDER BY clause.
`void` | `orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols, boolean ascending, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add an ORDER BY clause.
`void` | `orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, boolean ascending)` Add an ORDER BY clause.
`void` | `orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, boolean ascending, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add an ORDER BY clause.
`void` | `orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, boolean ascending)` Add an ORDER BY clause.
`void` | `orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, boolean ascending, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add an ORDER BY clause.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping, boolean subs, boolean multiple)` Select the columns of the given mapping, possibly including subclasses.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping, boolean subs, boolean multiple, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Select the columns of the given mapping aftering joining to it, possibly including subclasses.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Select the given column.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols)` Select the given columns.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Select the given columns after making the given joins.
`void` | `select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Select the given column after making the given joins.
`void` | `selectCount()` Select 'COUNT(*)'; this precludes any other selects.
`void` | `setUseSQL92Joins(boolean use92Joins)` Whether this SELECT is using SQL 92 joins.
`com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer` | `toSelect(boolean forUpdate)` Return this select as a SQL statement formatted for the given dictionary.
`void` | `where(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add the given where conditions.
`void` | `where(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)` Add the given where conditions.
`void` | `where(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add the given where conditions.
`void` | `whereForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk, java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Add the given where conditions.
`void` | `whereForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk, java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add the given where conditions.
`void` | `wherePrimaryKey(java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Add the given where conditions.
`void` | `wherePrimaryKey(java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping, com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)` Add the given where conditions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getImplData

    public java.util.Map getImplData(boolean create)

  Return a mutable view of arbitrary implementation data associated with this select, optionally creating a new map if none exists. All selects found as values in the impl data will automatically be executed by the system, and the results placed under the same keys in the impl data for this select's result object.

### toSelect

    public com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer toSelect(boolean forUpdate)

  Return this select as a SQL statement formatted for the given dictionary.

### getUseSQL92Joins

    public boolean getUseSQL92Joins()

  Whether this SELECT is using SQL 92 joins.

### setUseSQL92Joins

    public void setUseSQL92Joins(boolean use92Joins)

  Whether this SELECT is using SQL 92 joins.

### selectCount

    public void selectCount()

  Select 'COUNT(*)'; this precludes any other selects.

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)

  Select the given column.

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Select the given column after making the given joins.

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols)

  Select the given columns.

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Select the given columns after making the given joins.

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping,
                       boolean subs,
                       boolean multiple)

  Select the columns of the given mapping, possibly including subclasses. Specifying whether this select is expected to return multiple results helps some mappings optimize their behavior.

### select

    public void select(com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping,
                       boolean subs,
                       boolean multiple,
                       com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Select the columns of the given mapping aftering joining to it, possibly including subclasses. Specifying whether this select is expected to return multiple results helps some mappings optimize their behavior.

### where

    public void where(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add the given where conditions.

### where

    public void where(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql)

  Add the given where conditions.

### where

    public void where(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                      com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add the given where conditions.

### whereForeignKey

    public void whereForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk,
                                java.lang.Object oid,
                                com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)

  Add the given where conditions.

### whereForeignKey

    public void whereForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk,
                                java.lang.Object oid,
                                com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping,
                                com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add the given where conditions.

### wherePrimaryKey

    public void wherePrimaryKey(java.lang.Object oid,
                                com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)

  Add the given where conditions.

### wherePrimaryKey

    public void wherePrimaryKey(java.lang.Object oid,
                                com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping,
                                com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add the given where conditions.

### orderBy

    public void orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                        boolean ascending)

  Add an ORDER BY clause.

### orderBy

    public void orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer sql,
                        boolean ascending,
                        com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add an ORDER BY clause.

### orderBy

    public void orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        boolean ascending)

  Add an ORDER BY clause.

### orderBy

    public void orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        boolean ascending,
                        com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add an ORDER BY clause.

### orderBy

    public void orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols,
                        boolean ascending)

  Add an ORDER BY clause.

### orderBy

    public void orderBy(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols,
                        boolean ascending,
                        com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add an ORDER BY clause.

### joinsSelect

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Select joinsSelect()

  Return a SELECT with the same aliases as this one.

### batchSelect

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Select batchSelect()

  Return a SELECT that will be batched with this one. The returned select will be updated with where conditions as this parent select is updated.

### newJoins

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins newJoins()

  Return a new instance to use for joining.

### addJoins

    public void addJoins(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer buf,
                         com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins)

  Add SQL for the given joins to the given buffer.

### and

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins and(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins1,
                                                               com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins2)

  AND the given joins together. The given joins will be hollowed in the process.

### or

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins or(com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins1,
                                                              com.solarmetric.rd.kodo.impl.jdbc.runtime.Joins joins2)

  OR the given joins together. The common joins will be removed in the process.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.